--- old/usr/src/uts/sun4/os/trap.c	2015-05-08 18:10:43.192620341 -0400
+++ new/usr/src/uts/sun4/os/trap.c	2015-05-08 18:10:43.199513195 -0400
@@ -168,13 +168,6 @@
 
 	CPU_STATS_ADDQ(CPU, sys, trap, 1);
 
-#ifdef SF_ERRATA_23 /* call causes illegal-insn */
-	ASSERT((curthread->t_schedflag & TS_DONT_SWAP) ||
-	    (type == T_UNIMP_INSTR));
-#else
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
-#endif /* SF_ERRATA_23 */
-
 	if (USERMODE(rp->r_tstate) || (type & T_USER)) {
 		/*
 		 * Set lwp_state before trying to acquire any
@@ -1372,8 +1365,6 @@
 
 	CPU_STATS_ADDQ(CPU, sys, trap, 1);
 
-	ASSERT(curthread->t_schedflag & TS_DONT_SWAP);
-
 	if (USERMODE(rp->r_tstate)) {
 		/*
 		 * Set lwp_state before trying to acquire any
--- old/usr/src/uts/sun4u/Makefile.files	2015-05-08 18:10:43.449274047 -0400
+++ new/usr/src/uts/sun4u/Makefile.files	2015-05-08 18:10:43.456114084 -0400
@@ -64,7 +64,6 @@
 CORE_OBJS +=	ppage.o
 CORE_OBJS +=	sfmmu_kdi.o
 CORE_OBJS +=	swtch.o
-CORE_OBJS +=	xhat_sfmmu.o
 
 #
 #	Some objects must be linked at the front of the image (or
@@ -135,7 +134,6 @@
 I2BSC_OBJS	+= i2bsc.o
 GPTWOCFG_OBJS	+= gptwocfg.o
 GPTWO_CPU_OBJS	+= gptwo_cpu.o
-ZULUVM_OBJS  	+= zuluvm.o zulu_asm.o zulu_hat.o zulu_hat_asm.o
 
 JBUSPPM_OBJS	+= jbusppm.o 
 RMC_COMM_OBJS	+= rmc_comm.o rmc_comm_crctab.o rmc_comm_dp.o rmc_comm_drvintf.o
--- old/usr/src/uts/sun4u/Makefile.sun4u	2015-05-08 18:10:43.650410518 -0400
+++ new/usr/src/uts/sun4u/Makefile.sun4u	2015-05-08 18:10:43.657188012 -0400
@@ -428,7 +428,6 @@
 MISC_KMODS	+= sbd
 
 MISC_KMODS	+= opl_cfg
-MISC_KMODS	+= zuluvm
 MISC_KMODS	+= gptwo_cpu gptwocfg
 MISC_KMODS	+= pcie
 
--- old/usr/src/uts/sun4u/serengeti/sys/sgfrutypes.h	2015-05-08 18:10:44.075705028 -0400
+++ new/usr/src/uts/sun4u/serengeti/sys/sgfrutypes.h	2015-05-08 18:10:44.082499685 -0400
@@ -73,12 +73,6 @@
 #define	SG_HPU_TYPE_WIB_BOARD_ID		"SB"
 #define	SG_HPU_TYPE_WIB_BOARD_SHORTNAME		"WIB"
 
-#define	SG_HPU_TYPE_ZULU_BOARD			(0x203)
-#define	SG_HPU_TYPE_ZULU_BOARD_STR		"Zulu Board"
-#define	SG_HPU_TYPE_ZULU_BOARD_ID		"SB"
-#define	SG_HPU_TYPE_ZULU_BOARD_SHORTNAME	"GPX"
-
-
 #define	SG_HPU_TYPE_REPEATER_BOARD			(0x301)
 #define	SG_HPU_TYPE_REPEATER_BOARD_STR			"Repeater Board"
 #define	SG_HPU_TYPE_REPEATER_BOARD_ID			"RP"
--- old/usr/src/uts/sun4u/vm/mach_kpm.c	2015-05-08 18:10:44.496648660 -0400
+++ new/usr/src/uts/sun4u/vm/mach_kpm.c	2015-05-08 18:10:44.503468871 -0400
@@ -1684,8 +1684,6 @@
 		if (IS_PAHME(sfhmep))
 			continue;
 		hmeblkp = sfmmu_hmetohblk(sfhmep);
-		if (hmeblkp->hblk_xhat_bit)
-			continue;
 		tmphat = hblktosfmmu(hmeblkp);
 		sfmmu_copytte(&sfhmep->hme_tte, &tte);
 		ASSERT(TTE_IS_VALID(&tte));
@@ -1709,8 +1707,6 @@
 		if (IS_PAHME(sfhmep))
 			continue;
 		hmeblkp = sfmmu_hmetohblk(sfhmep);
-		if (hmeblkp->hblk_xhat_bit)
-			continue;
 		(void) sfmmu_pageunload(pp, sfhmep, TTE8K);
 	}
 
--- old/usr/src/uts/sun4v/Makefile.files	2015-05-08 18:10:44.976376901 -0400
+++ new/usr/src/uts/sun4v/Makefile.files	2015-05-08 18:10:44.983112351 -0400
@@ -81,7 +81,6 @@
 CORE_OBJS +=	suspend.o
 CORE_OBJS +=	swtch.o
 CORE_OBJS +=	wdt.o
-CORE_OBJS +=	xhat_sfmmu.o
 
 CORE_OBJS +=	mdesc_diff.o
 CORE_OBJS +=	mdesc_findname.o
